# simple-i3blocks
This is a simple collection of i3blocks-modules accompagnied by a config file with the aim to display only important information in favor of not spilling lots of numbers into the status bar. I.e. only the amount of left RAM is displayed as this is - in my point of view - the most important information we like to know most of the times. 

# Requirements
Install [i3 window manager](https://i3wm.org) alongside with [i3blocks](https://github.com/vivien/i3blocks) and `git`. The following shows the requirements for each module:
```
module      dependency
--------------------------
audio       amixer
battery     none, searches in /sys/class/power_supply/BAT...
cpu         top
datetime    date
ip          curl
ram         none, searches in /proc/meminfo
storage     df
backlight   none, searches in /sys/class/backlight, intel and ati/amd supported
```

# Install
- Clone this repo to `~/.config/i3blocks`. Remember to back up you existing configs and scripts inside that directory if you already created them.
```bash
git clone https://will.kein.hk/git/koksnuss/simple-i3blocks.git ~/.config/i3blocks
```
- Adjust `~/.config/i3blocks/config` to control i3 status bar output (see [Usage](#usage)).
- Finally reload your `i3` window manager. The default shortcut is `mod + SHIFT + r`, you should see a flickering.

# Usage
- module *datetime*: A left click will toggle long and short displays. The short version is displayed in the format `HH:MM`. The long version also shows the day of the week, weeknumber, date and seconds.
- module *audio*: `instance=mic` will show the microphone level instead. With a left mouse click the device is muted/unmuted.
- module *ram*: by default free ram and swap are shown in the format `a+b G` where `a` is ram and `b` is swap. If you want to show ram and swap seperatly, use `instance=ram` or `instance=swap`. If you left click on the block, `top` will be openend.
- *cpu*: by default total idle cpu time of all cores together is displayed. If you left click on the block, `top` will be openend.
- module *battery*: by default the total left energy of all attached batteries is shown. If you want to display the batteries seperatly, use `instance=x` will show the status of BATx in case you have more than one battery attached to your device.


# Roadmap

## Modules
- [x] datetime
- [x] ram/swap
- [x] cpu
- [x] audio/mic
- [x] storage
- [x] ip
- [x] battery
- [x] backlight
- [ ] wifi/ethernet/bluetooth
- [ ] external storage 
- [ ] ethernet bandwith

## Click interactions
- [x] datetime: left: show date and seconds
- [x] audio/mic: left: toggle mute
- [ ] external storage: mount it somewhere

## Signals
- [ ] audio, mic
- [ ] backlight

## Other
- [ ] nice icons as labels
